ASIP-STATUS.PL(1)

NAME
asip-status.pl - Queries AFP servers for their capabilities

SYNOPSIS

asip-status.pl [-d] [-i] [-x] HOSTNAME[:PORT]

DESCRIPTION

asip-status.pl is a perl script that sends a FPGetSrvrInfo request to an AFP server at HOSTNAME:PORT and displays the results, namely "Machine type", the server's name, supported AFP versions, UAMs and AFP flags, the "server signature" and the network addresses, the server provides AFP services on.

When you don't supply :PORT, then the default AFP port, 548, will be used.

OPTIONS

-d
    Enable debug output.

-i
    Show icon if it exists.

-x
    Enable hex dump output.

EXAMPLES

    asip-status.pl 192.168.21.2
    AFP reply from 192.168.21.2:548
    Flags: 1  Cmd: 3  ID: 57005
    Reply: DSIGetStatus
    Request ID: 57005
    Machine type: Macintosh
    AFP versions: AFPVersion 1.1,AFPVersion 2.0,AFPVersion 2.1,AFP2.2
    UAMs: Cleartxt passwrd,Randnum exchange,2-Way Randnum exchange
    Flags: SupportsCopyFile,SupportsChgPwd,SupportsServerMessages,
    SupportsServerSignature,SupportsTCP/IP,SupportsSuperClient
    Server name: PowerMac 9600/200
    Signature:
    04 c1 6e 59 04 c1 6e 59 04 c1 6e 59 04 c1 6e 59  ..nY..nY..nY..nY

    Network address: 192.168.21.2:548 (tcp/ip address and port)
    Network address: 10.20 (ddp address)

    asip-status.pl myserver:10548
    AFP reply from myserver:10548
    Flags: 1  Cmd: 3  ID: 57005
    Reply: DSIGetStatus
    Request ID: 57005
    Machine type: Netatalk
    AFP versions: AFPVersion 1.1,AFPVersion 2.0,AFPVersion 2.1,AFP2.2,AFPX03,
    AFP3.1
    UAMs: Cleartxt passwrd,Randnum exchange,2-Way Randnum exchange,DHCAST128
    Flags: SupportsCopyFile,SupportsServerMessages,SupportsServerSignature,
    SupportsTCP/IP,SupportsSrvrNotifications,SupportsOpenDirectory,
    SupportsUTF8Servername,SupportsSuperClient
    Server name: Fire V480
    Signature:
    83 29 cc 60 83 29 cc 60 83 29 cc 60 83 29 cc 60  .).`.).`.).`.).`

    Network address: 192.168.21.1:10548 (TCP/IP address and port)
    Network address: 65282.142 (ddp address)
    UTF8 Servername: Fire V480

REPORTING BUGS

Report bugs to the Netatalk-devel list <netatalk-devel@lists.sourceforge.net>.